StatisticsGenerator
Date: 2012-07-11

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.graphtools.core
Class StatisticsGenerator

    java.lang.Object
      org.gcube.contentmanagement.graphtools.core.StatisticsGenerator

    public class StatisticsGenerator

extends java.lang.Object

Constructor Summary
`StatisticsGenerator()`

Method Summary
`void` | `addColumnFilter(java.lang.String column, java.lang.String element)`
`void` | `addColumnFilter(java.lang.String column, java.lang.String element, java.lang.String operator)`
`void` | `addXRangeFilter(java.lang.String xmin, java.lang.String xmax)`
`void` | `addYRangeFilter(java.lang.String ymin, java.lang.String ymax)`
`GraphGroups` | `generateGraphs(int maxElements, java.lang.String timeSeriesTable, java.lang.String xDimension, java.lang.String yDimension, java.lang.String groupDimension, java.lang.String speciesColumn, java.lang.String... filters)`
`java.lang.String` | `generateStringGraphs(int maxElements, java.lang.String timeSeriesTable, java.lang.String xDimension, java.lang.String yDimension, java.lang.String groupDimension, java.lang.String speciesColumn, java.lang.String... filters)`
`SessionFactory` | `getDBSession()`
`void` | `init(java.lang.String cfgPath)`
`void` | `init(java.lang.String cfgPath, LexicalEngineConfiguration config)`
`static void` | `main(java.lang.String[] args)`
`void` | `resetFilters()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatisticsGenerator

    public StatisticsGenerator()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### init

    public void init(java.lang.String cfgPath)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDBSession

    public SessionFactory getDBSession()

### init

    public void init(java.lang.String cfgPath,
                     LexicalEngineConfiguration config)
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### resetFilters

    public void resetFilters()

### addColumnFilter

    public void addColumnFilter(java.lang.String column,
                                java.lang.String element,
                                java.lang.String operator)

### addColumnFilter

    public void addColumnFilter(java.lang.String column,
                                java.lang.String element)

### addXRangeFilter

    public void addXRangeFilter(java.lang.String xmin,
                                java.lang.String xmax)

### addYRangeFilter

    public void addYRangeFilter(java.lang.String ymin,
                                java.lang.String ymax)

### generateGraphs

    public GraphGroups generateGraphs(int maxElements,
                                      java.lang.String timeSeriesTable,
                                      java.lang.String xDimension,
                                      java.lang.String yDimension,
                                      java.lang.String groupDimension,
                                      java.lang.String speciesColumn,
                                      java.lang.String... filters)
                               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### generateStringGraphs

    public java.lang.String generateStringGraphs(int maxElements,
                                                 java.lang.String timeSeriesTable,
                                                 java.lang.String xDimension,
                                                 java.lang.String yDimension,
                                                 java.lang.String groupDimension,
                                                 java.lang.String speciesColumn,
                                                 java.lang.String... filters)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD